Description

There are many cases when the long text custom fields can contain a lot of text that makes the issue page view not so friendly for the

users. For example, in our company, we have 3 fields with a lot of text:

1. Testing Steps

2. Release Notes

3. Acceptance Criteria

Issue page now only with first 2 fields:

 default.png 

The attached patch add a new option called show_under_description for long text custom fields that if is checked, render that fields

under the description field.

 under_desc.png 

If you find this change useful, I can add tests to the patch. Also, any feedback regarding the patch or this functionality is welcome.

I think that this issue is related to #3543, but with another implementation.

Related issues:

Related to Redmine - Feature #3543: Improve 'long text' custom fields Closed 2009-06-25

Related to Redmine - Feature #25052: Allow to disable description field in tr... Closed

Related to Redmine - Feature #26081: Allow full_width_layout long-text custom... Closed

Related to Redmine - Feature #28085: Wiki Toolbar on Full Width Custom Fields Closed

Related to Redmine - Defect #35195: Long Text label name is not displayed Closed

Has duplicate Redmine - Feature #10021: Enhanced Large Text Field for Issues Closed

Has duplicate Redmine - Patch #19122: Layout problems for long text custom fi... Closed

Has duplicate Redmine - Feature #8447: support for custom fields to be struct... Closed 2011-05-26

Associated revisions

Revision 16251 - 2017-01-25 15:55 - Jean-Philippe Lang

Option for long text custom fields to be displayed under the description field (#21705).

Based on patch by Marius BALTEANU.

Revision 16253 - 2017-01-25 16:11 - Jean-Philippe Lang

Adjust rendering of custom fields in PDF (#21705).

Revision 16255 - 2017-01-25 16:37 - Toshi MARUYAMA

generate i18n keys (#21705)

Revision 16257 - 2017-01-25 17:06 - Jean-Philippe Lang

Omit blank fields as we do for the description (#21705).

Revision 16258 - 2017-01-25 17:08 - Jean-Philippe Lang

Omit blank fields in PDF too (#21705).

Revision 16362 - 2017-03-03 18:25 - Jean-Philippe Lang
Fix PDF formatting (#21705).

Patch by Greg T.

Revision 16363 - 2017-03-03 18:26 - Jean-Philippe Lang

Changes overflow to auto (#21705).

Patch by Greg T.

History

#1 - 2016-01-19 18:46 - Marius BĂLTEANU

- File option_to_show_fields_under_description_v2.patch added

I've updated the patch with two changes:

1. add missing class "attribute" to custom field div

2. wrap the value of the custom fields which text formatting enabled in DIV with wiki class

The patch was tested against 3.2.0.stable.15067 and doesn't break any test from my checks.

#2 - 2016-02-11 04:35 - Toshi MARUYAMA

- Related to Feature #3543: Improve 'long text' custom fields added

#3 - 2016-12-29 16:06 - Marius BĂLTEANU

- File option_to_show_issue_custom_fields_on_full_width.patch added

New version of the patch:

- renamed the custom field setting from "show under description" to "full width layout" (I wasn't able to find a better name)

- the setting "full width layout" applies in both views: show and edit issue.

- the option is now displayed only for "Issues custom fields" of type "Long text"

- added tests

- some refactoring.

There are some users in the related ticket (#3543) which require to have this feature implemented so any feedback is welcome.

#4 - 2016-12-29 16:34 - Kush Suryavanshi

This is one of those features that I didn't know I needed it until I saw it. This is very useful. Thanks Marius.

#5 - 2017-01-05 20:23 - Maxim Krušina

+1 ... plz can be this merger to production?

#6 - 2017-01-07 01:25 - Go MAEDA

- Target version set to 3.4.0

Passed all tests. Looks good to me.

I hope this feature will be included in 3.4.0.

#7 - 2017-01-12 19:16 - Maxim Krušina

PS: there is also plugin: - latest fork: https://github.com/mi-yo/redmine_multi_column_custom_fields

but it has some issues (not 100% style, in edit mode the field is still just 1-column)

#8 - 2017-01-25 17:15 - Jean-Philippe Lang

- Subject changed from Option for long text custom fields to be displayed under the description field to Option for long text custom fields to be

displayed using full width

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch is committed with some changes (custom field store was used instead of adding a column for the setting). The PDF output was modified as

well.

#9 - 2017-01-26 04:49 - Go MAEDA

- Has duplicate Feature #10021: Enhanced Large Text Field for Issues added
#10 - 2017-01-26 04:55 - Go MAEDA

- Has duplicate Patch #19122: Layout problems for long text custom fields added

#11 - 2017-02-12 03:38 - Go MAEDA

- Has duplicate Feature #8447: support for custom fields to be structured like description field added

#12 - 2017-02-12 04:21 - Go MAEDA

- Related to Feature #25052: Allow to disable description field in tracker setting added

#13 - 2017-02-17 12:39 - Greg T

- File overflow.patch added

Please change overflow to auto (see #3543#note-20)

#14 - 2017-02-18 04:50 - Go MAEDA

- File 21705-table-overflow.png added

- Status changed from Closed to Reopened

Greg T wrote:

Please change overflow to auto (see #3543#note-20)

 This is a screenshot of the issue reported by Greg T. Tables are displayed in a different appearance in description field and custom field.

 

#15 - 2017-02-20 11:08 - Greg T

- File pdf_custom_field.patch added

Thanks for reopening. I add another patch fixing PDF formatting.

#16 - 2017-03-03 18:27 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Both patches committed, thanks.

#17 - 2017-06-01 21:06 - Mischa The Evil

Marius Ionescu BALTEANU: can you maybe take a look at #26081. It still needs work, but I think it could be a nice improvement on top of this issues'

feature.

#18 - 2017-06-01 21:07 - Mischa The Evil

- Related to Feature #26081: Allow full_width_layout long-text custom fields to appear in the issue list like 'Description' (as a block column) added

#19 - 2017-06-07 07:35 - Marius BĂLTEANU

Mischa The Evil wrote:

Marius Ionescu BALTEANU: can you maybe take a look at #26081. It still needs work, but I think it could be a nice improvement on top of this
issues' feature.

 Agree with you, I'll try to create a patch this month.

#20 - 2018-02-07 13:35 - Mischa The Evil

- Related to Feature #28085: Wiki Toolbar on Full Width Custom Fields added

#21 - 2021-05-03 22:02 - Marius BĂLTEANU

- Related to Defect #35195: Long Text label name is not displayed added

Files

under_desc.png 337 KB 2016-01-12 Marius BĂLTEANU

default.png 377 KB 2016-01-12 Marius BĂLTEANU

option_to_show_fields_under_description.patch 5.61 KB 2016-01-12 Marius BĂLTEANU

option_to_show_fields_under_description_v2.patch 6.89 KB 2016-01-19 Marius BĂLTEANU

option_to_show_issue_custom_fields_on_full_width.patch 19.6 KB 2016-12-29 Marius BĂLTEANU

overflow.patch 702 Bytes 2017-02-17 Greg T

21705-table-overflow.png 60.5 KB 2017-02-18 Go MAEDA

pdf_custom_field.patch 559 Bytes 2017-02-20 Greg T

Powered by TCPDF (www.tcpdf.org)

2025-07-09 4/4

http://www.tcpdf.org

